From 238f74735b184e8b3fa4d8566cd2eaf42748b4cc Mon Sep 17 00:00:00 2001
From: Arid <118916772+AridDev@users.noreply.github.com>
Date: Sat, 30 Nov 2024 13:35:38 +0600
Subject: [PATCH] feat(bins): include rgon bin

---
 bins/argon/init.luau  |   7 ++
 bins/argon/pesde.lock | 169 ++++++++++++++++++++++++++++++++++++++++++
 bins/argon/pesde.toml |  21 ++++++
 3 files changed, 197 insertions(+)
 create mode 100644 bins/argon/init.luau
 create mode 100644 bins/argon/pesde.lock
 create mode 100644 bins/argon/pesde.toml

diff --git a/bins/argon/init.luau b/bins/argon/init.luau
new file mode 100644
index 0000000..7780303
--- /dev/null
+++ b/bins/argon/init.luau
@@ -0,0 +1,7 @@
+-- TODO: Make use of returned exit code. Currently this script will get
+-- required by a pesde generated linker script, and due to a lune bug,
+-- exiting from within a required module causes a non-winding panic
+
+-- See https://github.com/lune-org/lune/pull/247 for more details
+
+require("./lune_packages/core")("argon-rbx/argon", _G.PESDE_ROOT)
diff --git a/bins/argon/pesde.lock b/bins/argon/pesde.lock
new file mode 100644
index 0000000..e8abd80
--- /dev/null
+++ b/bins/argon/pesde.lock
@@ -0,0 +1,169 @@
+name = "pesde/argon"
+version = "2.0.21"
+target = "lune"
+
+[graph."0x5eal/semver"."0.1.1 luau"]
+resolved_ty = "peer"
+
+[graph."0x5eal/semver"."0.1.1 luau".target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."0x5eal/semver"."0.1.1 luau".dependencies]
+"lukadev_0/option" = ["1.2.0 luau", "option"]
+"lukadev_0/result" = ["1.2.0 luau", "result"]
+
+[graph."0x5eal/semver"."0.1.1 luau".pkg_ref]
+ref_ty = "pesde"
+name = "0x5eal/semver"
+version = "0.1.1"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."0x5eal/semver"."0.1.1 luau".pkg_ref.dependencies]
+frktest = [{ name = "itsfrank/frktest", version = "^0.0.2", index = "https://github.com/daimond113/pesde-index", target = "lune" }, "dev"]
+option = [{ name = "lukadev_0/option", version = "^1.2.0", index = "https://github.com/daimond113/pesde-index" }, "peer"]
+result = [{ name = "lukadev_0/result", version = "^1.2.0", index = "https://github.com/daimond113/pesde-index" }, "peer"]
+
+[graph."0x5eal/semver"."0.1.1 luau".pkg_ref.target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."jiwonz/dirs"."0.1.2 lune"]
+resolved_ty = "standard"
+
+[graph."jiwonz/dirs"."0.1.2 lune".target]
+environment = "lune"
+lib = "src/init.luau"
+
+[graph."jiwonz/dirs"."0.1.2 lune".dependencies]
+"jiwonz/pathfs" = ["0.1.0 lune", "pathfs"]
+
+[graph."jiwonz/dirs"."0.1.2 lune".pkg_ref]
+ref_ty = "pesde"
+name = "jiwonz/dirs"
+version = "0.1.2"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."jiwonz/dirs"."0.1.2 lune".pkg_ref.dependencies]
+pathfs = [{ name = "jiwonz/pathfs", version = "^0.1.0", index = "https://github.com/daimond113/pesde-index" }, "standard"]
+
+[graph."jiwonz/dirs"."0.1.2 lune".pkg_ref.target]
+environment = "lune"
+lib = "src/init.luau"
+
+[graph."jiwonz/pathfs"."0.1.0 lune"]
+resolved_ty = "standard"
+
+[graph."jiwonz/pathfs"."0.1.0 lune".target]
+environment = "lune"
+lib = "init.luau"
+
+[graph."jiwonz/pathfs"."0.1.0 lune".pkg_ref]
+ref_ty = "pesde"
+name = "jiwonz/pathfs"
+version = "0.1.0"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."jiwonz/pathfs"."0.1.0 lune".pkg_ref.target]
+environment = "lune"
+lib = "init.luau"
+
+[graph."lukadev_0/option"."1.2.0 lune"]
+direct = ["option", { name = "lukadev_0/option", version = "^1.2.0" }, "standard"]
+resolved_ty = "standard"
+
+[graph."lukadev_0/option"."1.2.0 lune".target]
+environment = "lune"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/option"."1.2.0 lune".pkg_ref]
+ref_ty = "pesde"
+name = "lukadev_0/option"
+version = "1.2.0"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."lukadev_0/option"."1.2.0 lune".pkg_ref.target]
+environment = "lune"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/option"."1.2.0 luau"]
+resolved_ty = "peer"
+
+[graph."lukadev_0/option"."1.2.0 luau".target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/option"."1.2.0 luau".pkg_ref]
+ref_ty = "pesde"
+name = "lukadev_0/option"
+version = "1.2.0"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."lukadev_0/option"."1.2.0 luau".pkg_ref.target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/result"."1.2.0 lune"]
+direct = ["result", { name = "lukadev_0/result", version = "^1.2.0" }, "standard"]
+resolved_ty = "standard"
+
+[graph."lukadev_0/result"."1.2.0 lune".target]
+environment = "lune"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/result"."1.2.0 lune".pkg_ref]
+ref_ty = "pesde"
+name = "lukadev_0/result"
+version = "1.2.0"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."lukadev_0/result"."1.2.0 lune".pkg_ref.target]
+environment = "lune"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/result"."1.2.0 luau"]
+resolved_ty = "peer"
+
+[graph."lukadev_0/result"."1.2.0 luau".target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."lukadev_0/result"."1.2.0 luau".pkg_ref]
+ref_ty = "pesde"
+name = "lukadev_0/result"
+version = "1.2.0"
+index_url = "https://github.com/daimond113/pesde-index"
+
+[graph."lukadev_0/result"."1.2.0 luau".pkg_ref.target]
+environment = "luau"
+lib = "lib/init.luau"
+
+[graph."pesde/toolchainlib"."0.1.1 lune"]
+direct = ["core", { workspace = "pesde/toolchainlib", version = "^" }, "standard"]
+resolved_ty = "standard"
+
+[graph."pesde/toolchainlib"."0.1.1 lune".target]
+environment = "lune"
+lib = "src/init.luau"
+
+[graph."pesde/toolchainlib"."0.1.1 lune".dependencies]
+"0x5eal/semver" = ["0.1.1 luau", "semver"]
+"jiwonz/dirs" = ["0.1.2 lune", "dirs"]
+"jiwonz/pathfs" = ["0.1.0 lune", "pathfs"]
+"lukadev_0/option" = ["1.2.0 lune", "option"]
+"lukadev_0/result" = ["1.2.0 lune", "result"]
+
+[graph."pesde/toolchainlib"."0.1.1 lune".pkg_ref]
+ref_ty = "workspace"
+path = "toolchainlib"
+
+[graph."pesde/toolchainlib"."0.1.1 lune".pkg_ref.dependencies]
+dirs = [{ name = "jiwonz/dirs", version = "^0.1.1", index = "https://github.com/daimond113/pesde-index" }, "standard"]
+option = [{ name = "lukadev_0/option", version = "^1.2.0", index = "https://github.com/daimond113/pesde-index" }, "peer"]
+pathfs = [{ name = "jiwonz/pathfs", version = "^0.1.0", index = "https://github.com/daimond113/pesde-index" }, "standard"]
+result = [{ name = "lukadev_0/result", version = "^1.2.0", index = "https://github.com/daimond113/pesde-index" }, "peer"]
+semver = [{ name = "0x5eal/semver", version = "^0.1.1", index = "https://github.com/daimond113/pesde-index", target = "luau" }, "peer"]
+
+[graph."pesde/toolchainlib"."0.1.1 lune".pkg_ref.target]
+environment = "lune"
+lib = "src/init.luau"
diff --git a/bins/argon/pesde.toml b/bins/argon/pesde.toml
new file mode 100644
index 0000000..b5c1c38
--- /dev/null
+++ b/bins/argon/pesde.toml
@@ -0,0 +1,21 @@
+name = "pesde/argon"
+version = "2.0.21"
+description = "Argon - Full featured tool for Roblox development"
+authors = [
+	"AridAjd <aridthedev@gmail.com>",
+	"DervexDev <contact@dervex.dev> (https://dervex.dev/)",
+]
+repository = "https://github.com/pesde-pkg/tooling/tree/main/bins/argon"
+includes = ["init.luau", "pesde.toml"]
+
+[target]
+environment = "lune"
+bin = "init.luau"
+
+[dependencies]
+result = { name = "lukadev_0/result", version = "^1.2.0" }
+option = { name = "lukadev_0/option", version = "^1.2.0" }
+core = { workspace = "pesde/toolchainlib", version = "^" }
+
+[indices]
+default = "https://github.com/daimond113/pesde-index"
